<?xml version="1.0"?>
<xsl:stylesheet version="1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" version="4.0"
encoding="UTF-8" indent="yes"/>

<xsl:template match="/">
<html>
<head>
    <title>Listado de titanes</title>    
    <link href="https://fonts.googleapis.com/css?family=Amatic+SC" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" href="cartas.css" />
</head>

<body class="fondoAzul">
<div id="envoltorio">
<h1>Titanes</h1>
<p>Datos ordenados en lista</p>
 <xsl:for-each select="./personajes/personaje">
        <xsl:if test="tipo='Luchador'">
             <xsl:call-template name="luchador"/>
        </xsl:if>
         <xsl:if test="tipo='Arbitro'">
             <xsl:call-template name="arbitro"/>
        </xsl:if>
    </xsl:for-each>
</div>
</body>
</html>

</xsl:template>


<xsl:template name="arbitro">
    <h3>Arbitro</h3>
    <div class="personaje">
        <div class="nombre">
            <xsl:value-of select="nombre"/>            
        </div>
        <div class="descripcion"><xsl:value-of select="descripcion"/></div>
    </div>
</xsl:template>
<xsl:template name="luchador">
    <div class="personaje">
        <div class="ilustra"></div>
        <div class="nombre"><xsl:value-of select="nombre"/></div>
        <div class="descripcion"><xsl:value-of select="descripcion"/></div>
        <div class="data fondoNeutro">
            <xsl:value-of select="pGanadas"/>
            <span>|</span>
            <xsl:value-of select="pPerdidas"/>
        </div>
    </div>
</xsl:template>

</xsl:stylesheet>